#include "Bandwidth.h"

namespace cosi
{

std::string Bandwidth::sQuantityName="Bandwidth";


Bandwidth::Bandwidth()
{
	IsOrdered(true) ;
}

Bandwidth::Bandwidth(double pValue) : RealQuantity(pValue) 
{
	IsOrdered(true) ;
}

Bandwidth::~Bandwidth()
{

}

Bandwidth Bandwidth::Get() {
	return (*this) ;
}

bool Bandwidth::operator <(Bandwidth pValue) {
	return ( GetValue() < pValue.GetValue());
}


bool Bandwidth::operator >(Bandwidth pValue) {
	return ( GetValue() > pValue.GetValue());
}


bool Bandwidth::operator == (Bandwidth pValue) const {
	return ( GetValue() == pValue.GetValue());
}

void Bandwidth::operator << ( Bandwidth pValue) {
	(*this) = pValue ;
}

Bandwidth Bandwidth::operator + ( Bandwidth pValue) {
	Bandwidth B ;
	B.SetValue( GetValue() + pValue.GetValue());
	return B ;
}




}
